/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.saas.dto.app;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

/**
* Restful接口--资源详情--数据传输对象：微服务
*
* createdate:  2021-03-16 10:21:22  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "微服务")
public class SaaSAppDetailDto implements Serializable
{
  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 微服务名称<br>
   */
  @ApiModelProperty("微服务名称")
  @Size(max = 32, message="微服务名称-appName: 数据长度不能 > 32" )
  private String appName;
  /**
   * 微服务显示名称<br>
   */
  @ApiModelProperty("微服务显示名称")
  @Size(max = 128, message="微服务显示名称-appViewName: 数据长度不能 > 128" )
  private String appViewName;
  /**
   * 是否启用<br>
   */
  @ApiModelProperty("是否启用")
  private Boolean enabled;
  /**
   * 是否已删除<br>
   */
  @ApiModelProperty("是否已删除")
  private Boolean deleted;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 更新人<br>
   */
  @ApiModelProperty("更新人")
  @Size(max = 32, message="更新人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  private Date updatedTime;

  public String getId()
  {
    return id;
  }

  public void setId(String id)
  {
    this.id = id;
  }

  public String getAppName()
  {
    return appName;
  }

  public void setAppName(String appName)
  {
    this.appName = appName;
  }

  public String getAppViewName()
  {
    return appViewName;
  }

  public void setAppViewName(String appViewName)
  {
    this.appViewName = appViewName;
  }

  public Boolean getEnabled()
  {
    return enabled;
  }

  public void setEnabled(Boolean enabled)
  {
    this.enabled = enabled;
  }

  public Boolean getDeleted()
  {
    return deleted;
  }

  public void setDeleted(Boolean deleted)
  {
    this.deleted = deleted;
  }

  public String getCreatedBy()
  {
    return createdBy;
  }

  public void setCreatedBy(String createdBy)
  {
    this.createdBy = createdBy;
  }

  public Date getCreatedTime()
  {
    return createdTime;
  }

  public void setCreatedTime(Date createdTime)
  {
    this.createdTime = createdTime;
  }

  public String getUpdatedBy()
  {
    return updatedBy;
  }

  public void setUpdatedBy(String updatedBy)
  {
    this.updatedBy = updatedBy;
  }

  public Date getUpdatedTime()
  {
    return updatedTime;
  }

  public void setUpdatedTime(Date updatedTime)
  {
    this.updatedTime = updatedTime;
  }

  /**
   * 创建人姓名
   */
  @ApiModelProperty("创建人姓名")
  private String createdByName;

  /**
   * 最近修改人姓名
   */
  @ApiModelProperty("最近修改人姓名")
  private String updatedByName;

  public String getCreatedByName()
  {
    return createdByName;
  }

  public void setCreatedByName(String createdByName)
  {
    this.createdByName = createdByName;
  }

  public String getUpdatedByName()
  {
    return updatedByName;
  }

  public void setUpdatedByName(String updatedByName)
  {
    this.updatedByName = updatedByName;
  }

}